from Interpreter.Validator import Validator
from Interpreter.Interpreter import Interpreter
from CCLang.Interpreter import Interpreter as CCLangInterpreter
from Interpreter.Utils import Utils
from Interpreter.Repo import Repo


class ServiceInitializer:

    def __init__(self) -> None:
        self.repo = Repo()
        self.utils = Utils(self.repo)
        self.interpreter = Interpreter(self.repo, self.utils)
        self.cclang_interpreter = CCLangInterpreter(self.repo, self.utils)
